Index: /wiki/SerialDrives.wiki
===================================================================
--- /wiki/SerialDrives.wiki	(revision 306)
+++ /wiki/SerialDrives.wiki	(revision 307)
@@ -1,4 +1,3 @@
 #summary Instructions for emulating Serial Drives with the XTIDE Universal BIOS
-#labels Featured,Phase-Deploy
 *Table of Contents*
 <wiki:toc max_depth="3" />
@@ -12,15 +11,15 @@
 To use this feature, you will need:
 	
-* Client PC
-  Standard or High Speed COM Port
-  XTIDE Universal BIOS option ROM installed
+  * Client PC
+    * Standard or High Speed COM Port
+    * XTIDE Universal BIOS option ROM installed
 
-* Server PC
-  Standard or High Speed COM Port (USB add-ons serial ports work great)
-  Windows XP or later (In the future, support for additional platforms may be added)
-  Flat Disk Images of floppy disks or hard disks
-  Command line SerDrive server utility, included with the XTIDE Universal BIOS distribution
+  * Server PC
+    * Standard or High Speed COM Port (USB add-ons serial ports work great)
+    * Windows XP or later (In the future, support for additional platforms may be added)
+    * Flat Disk Images of floppy disks or hard disks
+    * Command line utility, SerDrive, included with the XTIDE Universal BIOS distribution
 
-* [http://en.wikipedia.org/wiki/Null_modem Null Modem cable] between the two machines
+  * [http://en.wikipedia.org/wiki/Null_modem Null Modem cable] between the two machines
 
 == Getting Started ==
@@ -30,8 +29,8 @@
 2. Open a command prompt, and run the SerDrive utility on the server.  Arguments are described below.  In its simplest form:
 	C:/> SerDrive MyImage.img
-   If you do not already have an image, you can obtain boot floppies of FreeDOS from.
-   SerDrive will use the first available COM port by default, at a speed of 9600 baud (which is reliable, but relatively slow, you will likely want to increase this for continued use).
+If you do not already have an image, you can obtain boot floppies of FreeDOS from.
+SerDrive will use the first available COM port by default, at a speed of 9600 baud (which is reliable, but relatively slow, you will likely want to increase this for continued use).
 
-3. Boot the client computer.  During drive detection, hold down the Alt key, and at the end of drive detection, the BIOS will display Serial Master on COM Detect.  The BIOS will now scan the available COM ports on the client, looking for a server.
+3. Boot the client computer.  During drive detection, hold down the Alt key, and at the end of drive detection, the BIOS will display "Serial Master on COM Detect".  The BIOS will now scan the available COM ports on the client, looking for a server.
 
 If a server is found, the floppy and/or hard disk emulated will appear in the boot menu for the BIOS.  You can now proceed as normal.
@@ -51,38 +50,37 @@
 Usage: SerDrive [options] imagefile [[slave-options] slave-imagefile]
 
-  -g [cyl:head:sect]  Geometry in cylinders, sectors per cylinder, and heads
-                      -g also implies CHS addressing mode (default is LBA28)
+== -g [cyl:head:sect] ==
+Geometry in cylinders, sectors per cylinder, and heads.  -g also implies CHS addressing mode (default is LBA28).
 
-  -n [megabytes]      Create new disk with given size or use -g geometry
-                      Maximum size is 137438 MB (LBA28 limit)
-                      Floppy images can also be created, such as "360K"
-                      (default is a 32 MB disk, with CHS geometry 65:16:63)
+== -n [megabytes] ==    
+Create new disk with given size or use -g geometry.  Maximum size is 137438 MB (the LBA28 size limit).  Floppy images can also be created, such as "360K".  Default disk size is 32 MB disk, with a CHS geometry 65:16:63.
 
-  -p [pipename]       Named Pipe mode for emulators
-                      (must begin with "\\", default is "\\.\pipe\xtide")
+== -p [pipename] ==
+Named Pipe mode for emulators.  Pipe name must begin with "\\", default is "\\.\pipe\xtide".
 
-  -c COMPortNumber    COM Port to use (default is first found)
-                      Available COM ports on this system are:
-                          (none)
+== -c COMPortNumber ==
+COM Port to use (default is first found).  The usage message will also list the available COM ports on this system.
 
-  -b BaudRate         Baud rate to use on the COM port, with client machine
-                      rate multiplier in effect:
-                          None:  2400,  4800,  9600,  28.8K,  57.6K, 115.2K
-                          2x:    4800,  9600, 19200,  57.6K, 115.2K, 230.4K
-                          4x:    9600, 19200, 38400, 115.2K, 230.4K, 460.8K
-                          and for completeness:               76.8K, 153.6K
-                      (default is 9600, 115.2K when in named pipe mode)
+== -b BaudRate ==
+Baud rate to use on the COM port.  If the client machine has a hardware rate multipler (for high speed operation), then that will impact this setting:
 
-  -t                  Disable timeout, useful for long delays when debugging
+|| Rate Multiplier || Available Baud Rates ||
+|| None ||  2400,  4800,  9600,  28.8K,  57.6K, 115.2K ||
+|| 2x || 4800,  9600, 19200,  57.6K, 115.2K, 230.4K ||
+|| 4x || 9600, 19200, 38400, 115.2K, 230.4K, 460.8K ||
 
-  -r                  Read Only disk, do not allow writes
+And for completeness, 76.8K and 153.6K can also be set.  The default baud rate is 9600 (115.2K when used in named pipe mode)
 
-  -v [level]          Reporting level 1-6, with increasing information
+== -t == 
+Disable timeout, useful for long delays when debugging.
 
-On the client computer, a serial port can be configured for use as a hard disk
-with xtidecfg.com.  Or one can hold down the ALT key at the end of the normal
-IDE hard disk scan and the XTIDE Universal BIOS will scan COM1-7, at each of
-the six speeds given above for BaudRate.  Note that hardware rate multipliers
-must be taken into account on the server end, but are invisible on the client.
+== -r ==
+Treat the disk as a Read Only disk, SerDrive will not allow writes.
+
+== -v [level] ==
+Reporting level 1-6, with increasing information as the number increases.  This switch can be very useful for seeing the secot-by-secotr traffic between the PC and the hard disk.
+
+== Image File ==
+Finally, the image file name appears. Up to two image files can be used, each with their own settings for many of the switches above.
 
 Floppy images may also be used.  Image size must be exactly the same size
@@ -111,5 +109,5 @@
 In the future, support for additional disk image formats may be added.
 
-== Image Utilities ==
+== Disk Image Utilities ==
 
 [http://www.winimage.com/winimage.htm WinImage] is a good tool that can manipulate image files - it can view, inject, and extract files from a file system stored on the image.   